using Services;
using UnityEngine;

namespace Models.Interfaces {
    public interface IGameBoard {
        int Width { get; }
        int Height { get; }
        Gem[,] GemsGrid { get; }
        Gem GetGemAt(Vector2Int pos);
        void SetGemAt(Vector2Int pos, Gem gameObject);
    }
}